package com.jiuqi.dna.ide.designer;

import com.jiuqi.dna.ide.designer.elements.DesignerElement;
import com.jiuqi.dna.ide.designer.elements.IDesignerElement;
import com.jiuqi.dna.ide.designer.toolkit.ToolkitElement;
import org.eclipse.gef.requests.CreationFactory;

/* loaded from: com_jiuqi_dna_ide_designer.jar:com/jiuqi/dna/ide/designer/DesignerElementFactory.class */
public class DesignerElementFactory implements CreationFactory {
    private Class<?> type;
    private ToolkitElement toolkitElement;
    private DesignerBase designer;

    public DesignerElementFactory(Class<?> clazz, ToolkitElement toolkitElement, DesignerBase designer) {
        this.type = clazz;
        this.toolkitElement = toolkitElement;
        this.designer = designer;
    }

    public Object getNewObject() {
        try {
            Object obj = this.type.newInstance();
            if (obj instanceof IDesignerElement) {
                ((IDesignerElement) obj).setToolkitElement(this.toolkitElement);
            }
            if (obj instanceof DesignerElement) {
                ((DesignerElement) obj).setDesigner(this.designer);
            }
            return obj;
        } catch (Exception unused) {
            return null;
        }
    }

    public Object getObjectType() {
        return this.type;
    }
}
